Categories:
  - Multimedia
License: GPL-3.0-only
AuthorName: Kanedias
AuthorEmail: kanedias@keemail.me
SourceCode: https://github.com/vanilla-music/vanilla-music-tag-editor
IssueTracker: https://github.com/vanilla-music/vanilla-music-tag-editor/issues
Donate: https://www.patreon.com/kanedias
LiberapayID: '27922'

AutoName: Tag Editor
Description: |-
    This app is a plugin. Prior to use it you should have
    https://f-droid.org/packages/ch.blinkenlights.android.vanilla installed. Once both player and this plugin
    are installed, request a context menu from library screen, select "Plugins" and
    "Tag Editor" afterwards.

    This plugin can edit metadata tags of the various music files and persist them
    to the file being edited. Note that not all music files support storing tags in
    metadata as this depends on format.

    Also note that artwork fetching and persisting is done in another plugin,
    https://f-droid.org/packages/com.kanedias.vanilla.coverfetch that is also available from store.

    <b>Features:</b>

    * Tag editing of multiple audiofile formats (mp3/ogg/flac)
    * Any supported tag: Title, Album, Year, Lyrics, etc.
    * Lightweight (640 KB in release apk)

RepoType: git
Repo: https://github.com/vanilla-music/vanilla-music-tag-editor

Builds:
  - versionName: 1.0.1
    versionCode: 2
    commit: 1.0.1
    subdir: app
    gradle:
      - yes
    srclibs:
      - audiotagger-android@392c8137057304e7364b5ec6dd14a65ea45299a6
    rm:
      - app/libs/*jar
    prebuild:
      - cp -fR $$audiotagger-android$$/src/org src/main/java/
      - sed -i -e '/jar/d' build.gradle

  - versionName: 1.0.2
    versionCode: 3
    commit: 1.0.2
    subdir: app
    gradle:
      - yes
    srclibs:
      - audiotagger-android@392c8137057304e7364b5ec6dd14a65ea45299a6
    rm:
      - app/libs/*jar
    prebuild:
      - cp -fR $$audiotagger-android$$/src/org src/main/java/
      - sed -i -e '/jar/d' build.gradle

  - versionName: 1.0.3
    versionCode: 4
    commit: 1.0.3
    subdir: app
    gradle:
      - yes
    srclibs:
      - audiotagger-android@392c8137057304e7364b5ec6dd14a65ea45299a6
    rm:
      - app/libs/*jar
    prebuild:
      - cp -fR $$audiotagger-android$$/src/org src/main/java/
      - sed -i -e '/jar/d' build.gradle

  - versionName: 1.0.4
    versionCode: 5
    commit: 1.0.4
    subdir: app
    gradle:
      - yes
    srclibs:
      - audiotagger-android@392c8137057304e7364b5ec6dd14a65ea45299a6
    rm:
      - app/libs/*jar
    prebuild:
      - cp -fR $$audiotagger-android$$/src/org src/main/java/
      - sed -i -e '/jar/d' build.gradle
      - echo -e "android { lintOptions { disable 'MissingTranslation'\n\ndisable 'ExtraTranslation'
        } }" >> build.gradle

  - versionName: 1.1.1
    versionCode: 7
    commit: 1.1.1
    subdir: app
    gradle:
      - yes
    srclibs:
      - audiotagger-android@392c8137057304e7364b5ec6dd14a65ea45299a6
    rm:
      - app/libs/*jar
    prebuild:
      - cp -fR $$audiotagger-android$$/src/org src/main/java/
      - sed -i -e '/jar/d' build.gradle
      - echo -e "android { lintOptions { disable 'MissingTranslation'\n\ndisable 'ExtraTranslation'
        } }" >> build.gradle

  - versionName: 1.1.2
    versionCode: 8
    commit: 1.1.2
    subdir: app
    gradle:
      - yes
    srclibs:
      - audiotagger-android@392c8137057304e7364b5ec6dd14a65ea45299a6
    rm:
      - app/libs/*jar
    prebuild:
      - cp -fR $$audiotagger-android$$/src/org src/main/java/
      - sed -i -e '/jar/d' build.gradle
      - echo -e "android { lintOptions { disable 'MissingTranslation'\n\ndisable 'ExtraTranslation'
        } }" >> build.gradle

  - versionName: 1.2.0
    versionCode: 9
    commit: 1.2.0
    subdir: app
    submodules: true
    gradle:
      - yes

  - versionName: 1.2.1
    versionCode: 10
    commit: 1.2.1
    subdir: app
    submodules: true
    gradle:
      - yes

  - versionName: 1.2.2
    versionCode: 11
    commit: 1.2.2
    subdir: app
    submodules: true
    gradle:
      - yes

  - versionName: 1.2.3
    versionCode: 12
    commit: 1.2.3
    subdir: app
    submodules: true
    gradle:
      - yes

  - versionName: 1.2.4
    versionCode: 13
    commit: 1.2.4
    subdir: app
    submodules: true
    gradle:
      - yes

  - versionName: 1.2.5
    versionCode: 14
    commit: 1.2.5
    subdir: app
    submodules: true
    gradle:
      - yes

  - versionName: 1.2.6
    versionCode: 15
    commit: 1.2.6
    subdir: app
    submodules: true
    gradle:
      - yes

  - versionName: 1.3.0
    versionCode: 16
    commit: 1.3.0
    subdir: app
    submodules: true
    gradle:
      - yes

  - versionName: 1.4.1
    versionCode: 18
    commit: 1.4.1
    subdir: app
    gradle:
      - yes

  - versionName: 1.4.2
    versionCode: 19
    commit: 1.4.2
    subdir: app
    gradle:
      - yes

  - versionName: 1.4.3
    versionCode: 20
    commit: 1.4.3
    subdir: app
    gradle:
      - yes

  - versionName: 1.4.4
    versionCode: 21
    commit: 1.4.4
    subdir: app
    gradle:
      - yes

  - versionName: 1.4.6
    versionCode: 23
    commit: 1.4.6
    subdir: app
    gradle:
      - yes

  - versionName: 1.4.8
    versionCode: 25
    commit: 1.4.8
    subdir: app
    gradle:
      - yes

  - versionName: 1.4.9
    versionCode: 26
    commit: 1.4.9
    subdir: app
    gradle:
      - yes

  - versionName: 1.4.10
    versionCode: 27
    commit: 1.4.10
    subdir: app
    gradle:
      - yes

  - versionName: 1.4.11
    versionCode: 28
    commit: 1.4.11
    subdir: app
    gradle:
      - yes

MaintainerNotes: |-
    - This app doesn't have default activity, this is normal
    - This app requires https://f-droid.org/packages/ch.blinkenlights.android.vanilla

AutoUpdateMode: Version
UpdateCheckMode: Tags
CurrentVersion: 1.4.11
CurrentVersionCode: 28
